import { request } from './request'

export function findRectificationManagementInOutList(data) {
    return request({
        url: '/wx/RectificationController/findRectificationManagementInOutList',
        method: 'post',
        data: data
    })
}

export function getByCodes(params) {
    // 用园区ID查询楼盘列表
    return request({
        url: '/wx/sysDict/getByCodes',
        method: 'post',
        data: { codes: params }
    })

}

export function getSelectUserTwo(e) {
    return request({
        url: '/wx/frameUser/getSelectUserTwo',
        method: 'post',
        data: { searchName: e }
    })
}

export function findRectificationManagementInOutById(e) {
    return request({
        url: '/wx/RectificationController/findRectificationManagementInOutById',
        method: 'post',
        data: { id: e }
    })
}
export function updateListRectificationManagement(e) {
    return request({
        url: '/wx/RectificationController/updateListRectificationManagement',
        method: 'post',
        data: e
    })

}
export function updateSafetySelfCheckingManage(e) {
    return request({
        url: '/wx/SafetyController/updateSafetySelfCheckingManage',
        method: 'post',
        data: e
    })

}


export function findSafetySelfCheckingManagetById(e) {
    return request({
        url: '/wx/SafetyController/findSafetySelfCheckingManagetById',
        method: 'post',
        data: { id: e }
    })

}